     COM_SOFT()
     Queries or sets the software handshake (automatic XON/XOFF)

     Syntax

         COM_SOFT(<nComPort>,[<lNewHandshake>],[<cXONchar>],
            [<cXOFFchar>]) --> lOldHandshake

     Arguments

         <nComPort>  Designates the port (1 to N) for which the software
         handshake is set.

         <lNewHandshake>  Designates whether the handshake is on (.T.) or off
         (.F.).  If this parameter is omitted, the function returns the current
         setting.

         <cXONchar>  Designates any character you choose as an XON character.
         The default character is ASCII 19 - Ctrl-S.

         <cXOFFchar>  Designates any character you choose as an XOFF
         character.  The default value is ASCII 17 - Ctrl-Q.

     Returns

         The function returns the previously set value.

     Description

         With modem connections, a hardware handshake is impossible, which is why
         we are making a software handshake available with this function.  When a
         buffer is 75% full, an XOFF character (Ctrl-Q) is transmitted to the
         remote station.  As soon as the buffer has again been emptied to 50% or
         less, the XON character (Ctrl-S) is transmitted.  You can use characters
         other than Ctrl-S or Ctrl-Q for individual protocols, which would then
         be taken into account in the situations described above.

     Notes

         ”  The software handshake only supports background transmission
            (when COM_OPEN() has been implemented with the third parameter
            <nBufferOut>).

         ”  When you want to transmit binary data, the software handshake
            must always be turned off.

     Example

         COM_OPEN(1, 1000, 1000)   // Open port, background transmission
         COM_SOFT(1, .T.)          // Software handshake COM1

See Also: COM_HARD()